summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbill-auger <mr.j.spam.me@gmail.com>2021-01-22 22:19:39 -0500
committerbill-auger <mr.j.spam.me@gmail.com>2021-01-23 00:54:54 -0500
commit408a89e47231f11c51ffc00bac36d802b2310234 (patch)
tree727bf4503054b09a49cb384875a4e63f88eef079
parent110ddb6e047099fb3c40acceccefa9351ee82012 (diff)
sq - refactor update mksource checksums
-rw-r--r--scripts/makepkg.sh.in22
1 files changed, 13 insertions, 9 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 478d0d76..afb7d75b 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1457,20 +1457,24 @@ if (( !REPKG )); then
if (( NOEXTRACT && ! VERIFYSOURCE )); then
warning "$(gettext "Using existing %s tree")" "\$srcdir/"
else
- download_sources
- if ! ( check_source_integrity ); then
- # offer to update mksource checksums, if $BUILDFILE is a temporary mksource() PKGBUILD
- if (( IS_MKSOURCE )); then
- warning "$(gettext "The PKGBUILD checksums do not match the upstream mksource().")"
- echo -en "\n$(gettext "Run \`updpkgsums\` to account for the mksource() checksums mismatch?")"
- read -p " [y/N] " -n 1 -r ; echo ;
+ # prompt to update mksource checksums, if $BUILDFILE is a temporary mksource PKGBUILD
+ if ! (( IS_MKSOURCE )); then # standard behavior
+ download_sources
+ check_source_integrity
+ else # mksource behavior
+ download_sources
+ check_pgpsigs
+ if ! ( check_checksums ); then
+ # offer to update mksource checksums, if $BUILDFILE is a temporary mksource() PKGBUILD
+ warning "$(gettext "The PKGBUILD mk*sums do not validate the upstream sources.\n")"
+ ask "$(gettext "Run \`updpkgsums\` to account for the checksums mismatch?")"
+ read -p " [y/N] " -n 1 -r ; echo ; plain ;
+
if [[ $REPLY =~ ^[yY]$ ]]; then
update_mksums
else
exit $E_PKGBUILD_ERROR
fi
- else # standard behavior
- exit $E_PKGBUILD_ERROR
fi
fi